using System;
using System.IO;

namespace Siberix.Examples
{
	class Example
	{
		static void Main(string[] args)
		{
			if (args.Length == 2)
			{
				string src = args[0];
				string dst = args[1];
				string format = dst.Substring(dst.LastIndexOf(".") + 1, 3).ToUpper();

				Siberix.Report.Report report = new Siberix.Report.Report();

				report.Load(src);

				if (format == "PDF")
					report.Publish(dst, Siberix.Report.FileFormat.PDF);
				else
					report.Publish(dst, Siberix.Report.FileFormat.XPS);

				System.Console.Out.WriteLine();
				System.Console.Out.WriteLine("Siberix Report Writer. Version 10.1");
				System.Console.Out.WriteLine("Generation succeeded.");
				System.Console.Out.WriteLine();
			}
			else
			{
				System.Console.Out.WriteLine();
				System.Console.Out.WriteLine("Siberix Report Writer. Version 10.1");
				System.Console.Out.WriteLine();
				System.Console.Out.WriteLine("Example.exe input output");
				System.Console.Out.WriteLine();
				System.Console.Out.WriteLine("   input  - specifies the name of the input XML file.");
				System.Console.Out.WriteLine("   output - specifies the name of the output file.");
				System.Console.Out.WriteLine();
			}
		}
	}
}